#Makefile for dataIO functions of psLib
#
INCLUDES = \
	-I$(top_srcdir)/src/astronomy \
	-I$(top_srcdir)/src/collections \
	-I$(top_srcdir)/src/dataManip \
	-I$(top_srcdir)/src/image \
	-I$(top_srcdir)/src/sysUtils \
	$(all_includes)

noinst_LTLIBRARIES = libpslibdataIO.la

libpslibdataIO_la_SOURCES = \
	psLookupTable.c \
	psFits.c \
	psDB.c


BUILT_SOURCES = psFileUtilsErrors.h
EXTRA_DIST = psFileUtilsErrors.dat psFileUtilsErrors.h dataIO.i

psFileUtilsErrors.h: psFileUtilsErrors.dat
	$(top_srcdir)/src/psParseErrorCodes --data=$? $@

pslibincludedir = $(includedir)
pslibinclude_HEADERS = \
	psLookupTable.h \
	psFits.h \
	psDB.h

